Summary:        Free truetype font for Tamil language
Name:           lohit-tamil-fonts
Version:        2.91.3
Release:        5%{?dist}
License:        OFL
URL:            https://pagure.io/lohit/
Source0:        https://releases.pagure.org/lohit/lohit-tamil-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  fontforge >= 20080429
BuildRequires:  fontpackages-devel python3-devel
Requires:       fontpackages-filesystem

BuildArch:      noarch

%description
This package provides a free and open Tamil font, it is
one of the Punjabi languages.

%prep
%autosetup -n lohit-tamil-%{version}
mv 66-lohit-tamil.conf 65-0-lohit-tamil.conf

%build
%make_build ttf

%install
rm -fr %{buildroot}
install -m 0755 -d %{buildroot}%{_datadir}/fonts/lohit-tamil-fonts
install -m 0644 -p *.ttf %{buildroot}%{_datadir}/fonts/lohit-tamil-fonts
install -m 0755 -d %{buildroot}%{_datadir}/fontconfig/conf.avail %{buildroot}%{_sysconfdir}/fonts/conf.d
install -m 0644 -p 65-0-lohit-tamil.conf %{buildroot}%{_datadir}/fontconfig/conf.avail/65-0-lohit-tamil.conf
ln -s %{_datadir}/fontconfig/conf.avail/65-0-lohit-tamil.conf %{buildroot}%{_sysconfdir}/fonts/conf.d/65-0-lohit-tamil.conf
install -Dm 0644 -p io.pagure.lohit.tamil.font.metainfo.xml %{buildroot}%{_datadir}/metainfo/io.pagure.lohit.tamil.font.metainfo.xml

%files
%license COPYRIGHT
%doc ChangeLog OFL.txt AUTHORS README test-tamil.txt
%{_sysconfdir}/fonts/conf.d/65-0-lohit-tamil.conf
%{_datadir}/fontconfig/conf.avail/65-0-lohit-tamil.conf
%{_datadir}/metainfo/io.pagure.lohit.tamil.font.metainfo.xml
%{_datadir}/fonts/lohit-tamil-fonts/Lohit-Tamil.ttf

%changelog
* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 2.91.3-5
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.91.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.91.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.91.3-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Sep 22 2022 ZoeDong <zoedong@tencent.com> - 2.91.3-1
- Initial build
